package io.xjar.filter;

import io.xjar.XEntryFilter;

public class XNotEntryFilter<E> implements XEntryFilter<E>
{
    private final XEntryFilter<E> delegate;
    
    public XNotEntryFilter(final XEntryFilter<E> delegate) {
        this.delegate = delegate;
    }
    
    public boolean filtrate(final E entry) {
        return !this.delegate.filtrate((Object)entry);
    }
}
